AddNamedCPlane

Adds a new named construction plane to the document.

Syntax

Rhino.AddNamedCPlane (strName [, strView [, arrPlane]])

Parameters

strName

Required.  String.  The name of the new named construction plane.

strView

Optional.  String.  The title or identifier of the view from which to save the construction plane.  If omitted, the current active view is used.

arrPlane

Optional.  Array.  A custom construction plane.  Specify this option is you want to save a construction plane different than that of the specified view's construction plane.  The elements of a plane array are as follows:

Element

Description

0

Required.  The construction plane's origin (3-D point).

1

Required.  The construction plane's X axis direction (3-D vector).

2

Required.  The construction plane's Y axis direction (3-D vector).

3

Optional.  The construction plane's Z axis direction (3-D vector).

Returns

String

The name of the newly created named construction plane if successful.

Null

If not successful, or on error.

Example

Dim arrViews, strView, strName

arrViews = Rhino.ViewNames

If IsArray(arrViews) Then

  For Each strView In arrViews

    strName = strView & "_cplane"

    Rhino.AddNamedCPlane strName, strView

  Next

End If

Also See

DeleteNamedCPlane

NamedCPlane

NamedCPlanes

RestoreNamedCPlane